
/* -------------------------------------------------------------------------- */
/* Navigation Bar */
/* -------------------------------------------------------------------------- */

nav {
  background-color : ghostwhite;
}
nav ul {
  list-style-type : none;
  padding : 0;
  margin : 0;
  display : flex;
  flex-direction : column;
  text-align : center;
  align-items : center;
  align-content : center;
  justify-content : center;
  @include min-width(560px) {
    margin-left : auto;
    margin-right : auto;
    max-width : 38em;
    width : 90%;
    flex-direction : row;
    align-items : center;
    align-content : center;
    justify-content : flex-end;
  }
}
nav li {
  list-style-type : none;
  padding : 0;
  margin : 0;
  width : 100%;
  display : block;
  @include min-width(560px) {
    width : unset;
    display : inline;
  }
}
nav a {
  cursor : pointer;
  user-select : none;
  font-weight : 500;
  padding : 1rem 0;
  display : block;
  width : 100%;
  border: solid 2px ghostwhite;
  transition: all 120ms;
  &:hover {
    background-color : darken(ghostwhite, 5%);
    border-color : darken(ghostwhite, 5%);
  }
  &:focus {
    outline : none;
    background-color : darken(ghostwhite, 10%);
    border-color: $primary-color;
  }
  @include min-width(560px) {
    padding : 1rem;
    width : unset;
    display : block;
  }
}
nav a.active {
  user-select : none;
  cursor : not-allowed;
  opacity : 0.5;
  background-color : darken(ghostwhite, 10%) !important;
  border-color : darken(ghostwhite, 10%) !important;
}

/* -------------------------------------------------------------------------- */
/* Image Grid List */
/* -------------------------------------------------------------------------- */

.grid {
  margin: 2rem auto;
  padding : 1rem 0;
}
.grid__container {
  display: grid;
  //background-color: #000;
  //border: 1px solid #000;
  grid-gap: 1rem;
  justify-self: center;
  //max-width: 292px;
  max-width : 270px;
  height: auto;
  margin: 0 auto;
}
.grid__item {
  position: relative;
  transition: all 100ms;
  cursor : pointer;
  user-select : none;
}
.grid__item:hover {
  //background-color: #ff4b4c;
}
.grid__item:hover::after {
  //content: '+';
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  color: white;
  font-size: 60px;
  font-weight: bold;
}
.grid__item:hover .grid__img::before {
  //content: '';
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  //background: rgba(255, 75, 76, 0.5);
}
.grid__item:hover .grid__img::after {
  content: '';
  //display: block;
  position: absolute;
  //border: 1px solid #ff4b4c;
  //left: -11px;
  //right: -11px;
  //bottom: -11px;
  //top: -11px;
}
.grid__img {
  position: relative;
  //pointer-events: none;
  border: 10px solid #fff;
}

@media only screen and (min-width: 768px) {
  .grid__container {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(4, 1fr);
    max-width: 583px;
  }
}
@media only screen and (min-width: 1024px) {

  .grid__container {
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    max-width: 1165px;
  }
}

.images-grid-list {
  @extend .grid__container;
  @extend .grid;
}
.images-grid-list li {
  @extend .grid__item;
}
.images-grid-list a {
}
.images-grid-list img {
  max-width: 100%;
  display: block;
  position: relative;
  border-radius : 4px;
  box-shadow: 0 4px 16px -2px rgba(black, 0.125);
  transition: all 200ms;
  &:hover {
    box-shadow: 0 4px 16px -2px rgba(black, 0.25);
    filter: blur(1px);
  }
}

